configure.ac: Create correct LLVM_VERSION_INT with minor >= 10

Graphics / Mesa 3D Graphics Library / Mesa - Tobias Droste [gmx.de] - 5 December 2016 08:43 EST

This makes sure that we handle LLVM minor version >= 10 correctly.

###

diff --git a/configure.ac b/configure.ac
index e731cf9..adca49d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -990,7 +990,11 @@ llvm_set_environment_variables() {
LLVM_VERSION_PATCH=0
fi

- LLVM_VERSION_INT="${LLVM_VERSION_MAJOR}0${LLVM_VERSION_MINOR}"
+ if test "$LLVM_VERSION_MINOR" -lt 10; then
+ LLVM_VERSION_INT="${LLVM_VERSION_MAJOR}0${LLVM_VERSION_MINOR}"
+ else
+ LLVM_VERSION_INT="${LLVM_VERSION_MAJOR}${LLVM_VERSION_MINOR}"
+ fi

DEFINES="${DEFINES} -DHAVE_LLVM=0x0$LLVM_VERSION_INT -DMESA_LLVM_VERSION_PATCH=$LLVM_VERSION_PATCH"
MESA_LLVM=1

0e9a5be configure.ac: Create correct LLVM_VERSION_INT with minor >= 10
configure.ac | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)

Upstream: cgit.freedesktop.org


  • Share